Create Test Suite
curl --request POST \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"testCaseIds": [
{}
]
}
'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites"
payload = {
"name": "<string>",
"testCaseIds": [{}]
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', testCaseIds: [{}]})
};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Test Suite
Create a new test suite for a project
POST
/
v1
/
projects
/
{projectId}
/
test-suites
Create Test Suite
Request
POST https://api.pathors.com/v1/projects/{projectId}/test-suites
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Body
string
required
Name of the test suite
array
Array of test case IDs to include in the suite
Response
Returns the created test suite with status201.
Example
curl -X POST https://api.pathors.com/v1/projects/{projectId}/test-suites \
-H "Authorization: Bearer dk_your_key" \
-H "Content-Type: application/json" \
-d '{
"name": "Regression suite",
"testCaseIds": ["test-case-uuid-1", "test-case-uuid-2"]
}'
{
"data": {
"id": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Regression suite",
"testCases": [
{ "id": "test-case-uuid-1" },
{ "id": "test-case-uuid-2" }
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
}
⌘I
